diff --git a/rfc2047.c b/rfc2047.c
index a8c6bec687..1bfae1efb1 100644
--- a/rfc2047.c
+++ b/rfc2047.c
@@ -796,7 +796,7 @@ void rfc2047_decode(char **pd)
    */
   struct Buffer prev = { 0 }; /* Previously decoded word                */
   char *prev_charset = NULL;  /* Previously used charset                */
-  size_t prev_charsetlen;     /* Length of the previously used charset  */
+  size_t prev_charsetlen = 0; /* Length of the previously used charset  */
 
   while (*s)
   {
